? dhcpd
? dhcpd-pf-handler.diff
Index: pfutils.c
===================================================================
RCS file: /cvs/src/usr.sbin/dhcpd/pfutils.c,v
retrieving revision 1.18
diff -u -p -r1.18 pfutils.c
--- pfutils.c	13 Feb 2017 23:04:05 -0000	1.18
+++ pfutils.c	11 Jul 2017 19:19:27 -0000
@@ -53,15 +53,15 @@ pftable_handler()
 	int l, r, fd, nfds;
 
 	if ((fd = open(_PATH_DEV_PF, O_RDWR|O_NOFOLLOW, 0660)) == -1)
-		log_warn("can't open pf device");
+		fatal("can't open pf device");
 	if (chroot(_PATH_VAREMPTY) == -1)
-		log_warn("chroot %s", _PATH_VAREMPTY);
+		fatal("chroot %s", _PATH_VAREMPTY);
 	if (chdir("/") == -1)
-		log_warn("chdir(\"/\")");
+		fatal("chdir(\"/\")");
 	if (setgroups(1, &pw->pw_gid) ||
 	    setresgid(pw->pw_gid, pw->pw_gid, pw->pw_gid) ||
 	    setresuid(pw->pw_uid, pw->pw_uid, pw->pw_uid))
-		log_warn("can't drop privileges");
+		fatal("can't drop privileges");
 
 	setproctitle("pf table handler");
 	l = sizeof(struct pf_cmd);
@@ -74,7 +74,7 @@ pftable_handler()
 				log_warn("poll");
 
 		if (nfds > 0 && (pfd[0].revents & POLLHUP))
-			log_warnx("pf pipe closed");
+			fatal("pf pipe closed");
 
 		if (nfds > 0 && (pfd[0].revents & POLLIN)) {
 			memset(&cmd, 0, l);
